<?php
if(!isset($_POST['submit'])){
  echo "Привет,".$user['nick']."<br/>
  Выбери название империи<br/>
 <form method='post' action='?$passgen'>
  Название<br/>
  <input type='text' name='name' maxlength='64'/>
 <br/><input type='submit' value='Вперёд!' name='submit'/>
  </form> ";

}
elseif(isset($_POST['submit']) && $_POST['name']!='')
{
  $name=mysql_real_escape_string($_POST['name']);
 if(!preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $name)){
   msg("Название должно состоять только из английских/русских букв");
   echo "<a href='index.php?$passgen'>Назад</a><br/>";
   include_once '../sys/inc/tfoot.php';
   break;
 }

  if(mysql_result(mysql_query("SELECT COUNT(*) FROM `empire` WHERE `name`='$name'"),0)=='0'){
    $ntime=time()+60*60*10;
  mysql_query("INSERT INTO `empire`(`id_u`, `name`, `time_h`) VALUES('".$user['id']."', '".$name."', '".$ntime."')");
  msg('Успешно!');
  echo "В начале игры советуем вам почитать справку об игре<br/><a href='index.php?$passgen'>В игру</a><br/>";
}
else
{  msg('Империя с таким именем уже есть!');
  echo "<a href='index.php?$passgen'>Назад</a><br/>";
}}
?>